Package org.drinkless.tdlib

# Class TdApi.ImportContacts

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.Function<TdApi.ImportedContacts>
org.drinkless.tdlib.TdApi.ImportContacts

Enclosing class:
  TdApi

public static class TdApi.ImportContacts extends TdApi.Function<TdApi.ImportedContacts>
Adds new contacts or edits existing contacts by their phone numbers; contacts' user identifiers are ignored.

Returns `ImportedContacts`

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.Function

  `TdApi.Function.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `TdApi.Contact[]`
  `contacts`
  The list of contacts to import or edit; contacts' vCard are ignored and are not imported.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ImportContacts()`
  Default constructor for a function, which adds new contacts or edits existing contacts by their phone numbers; contacts' user identifiers are ignored.
  `ImportContacts(TdApi.Contact[] contacts)`
  Creates a function, which adds new contacts or edits existing contacts by their phone numbers; contacts' user identifiers are ignored.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Function

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### contacts

    public TdApi.Contact[] contacts
    The list of contacts to import or edit; contacts' vCard are ignored and are not imported.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### ImportContacts

    public ImportContacts()
    Default constructor for a function, which adds new contacts or edits existing contacts by their phone numbers; contacts' user identifiers are ignored.

    Returns `ImportedContacts`

  - ### ImportContacts

    public ImportContacts(TdApi.Contact[] contacts)
    Creates a function, which adds new contacts or edits existing contacts by their phone numbers; contacts' user identifiers are ignored.

    Returns `ImportedContacts`

    Parameters:
      `contacts` - The list of contacts to import or edit; contacts' vCard are ignored and are not imported.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Function<TdApi.ImportedContacts>`
    Returns:
      this.CONSTRUCTOR